"""
-----------------------------------------------------
Sports Betting Algorithm (PyPy-ready)
-----------------------------------------------------
This module contains a number of helper functions
to numerically and semantically manage sports
score betting.
-----------------------------------------------------
"""

from .scoring_utils import (
    calculate_ambient_noise_factor,
    analyze_performance_feedback,
    calculate_resource_adjustment_factor,
    generate_capacity_projection,
    forecast_environmental_conditions,
    calculate_supplementary_resource_budget,
    simulate_resource_degradation,
    score_spreading,
    score_spreading_clipped
)